QGIS Application - Bug report #12887
customization: ini file saved without extension == invisible when trying to open
2015-06-05 01:25 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Customisation Framework

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 20977
Description

Playing with cusomization here: saving a QGIS setup which only can open shape file.

| saved the setup as 'minimalshape’ (as | did not know which extension was needed).
Trying to open that file again via 'open customization file', it was not visible anymore (because the file-filter for the dialog is .ini and there is
no option for 'all files'

Proposed fixes(?):

- add .ini when the user does not add it him/herself ot a config file

- add '(.ini)" to the visible string in the 'filter dropdown' in the file browser?

- maybe also add a 'all files' as file filter so at least | can see the file | just saved

Associated revisions

Revision aa417a10 - 2016-01-18 04:01 PM - Alexander Bruy

add extension when saving customization file (fix #12887)

History

#1 - 2016-01-18 07:01 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"aa417a10cbafbd885d30df18c54e7f34479ef979".

#2 - 2016-01-18 07:02 AM - Alexander Bruy
- Resolution set to fixed/implemented
